# Copyright (C) 2003-2005 Kouichirou Eto, All rights reserved.

$LOAD_PATH << "../../lib" unless $LOAD_PATH.include?("../../lib")

module Qwik
  class Action
    def plg_external_link
      w = []
      w << [:script, {:type=>"text/javascript",
	  :src=>".theme/ap/ArekorePopup.js"}, ""]
      w << [:script, {:type=>"text/javascript"}, "
AP.launch;
"]
      []
    end
  end
end

if $0 == __FILE__
  require "t/test"
  $debug = true
end

if $debug
  class TC_ActExternalLink < Test::Unit::TestCase
    include TestSession

    def test_all
      assert_wiki([], "{{external_link}}")
    end
  end
end
